Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Problema para importar Compass

quando utilizo

@include single-box-shadow

Aparece isso:

[Listen warning]: Change block raise an execption: No such file or directory @ rb_sysopen - C:/Users/lucas/Desktop/Documentos/ALURA/7- Sass e Compass/site-apeperia/site-apeperia/.sass-cache/75fcaf1b4852ceb732871195e41567cc2a7d8997/C%058/Users/lucas/Desktop/Documentos/ALURA/7- Sass e Compass/site-apeperia/site-apeperia/css/helpers/mixins.scssc20200422-9092-1mcdfm4
Backtrace:
        C:/Ruby26-x64/lib/ruby/2.6.0/tempfile.rb:133:in `initialize'
        C:/Ruby26-x64/lib/ruby/2.6.0/tempfile.rb:133:in `open'
        C:/Ruby26-x64/lib/ruby/2.6.0/tempfile.rb:133:in `block in initialize'
        C:/Ruby26-x64/lib/ruby/2.6.0/tmpdir.rb:135:in `create'
        C:/Ruby26-x64/lib/ruby/2.6.0/tempfile.rb:131:in `initialize'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/util.rb:1253:in `new'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/util.rb:1253:in `atomic_create_and_write_file'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/cache_stores/filesystem.rb:39:in `_store'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/cache_stores/base.rb:51:in `store'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/cache_stores/chain.rb:19:in `block in store'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/cache_stores/chain.rb:19:in `each'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/cache_stores/chain.rb:19:in `store'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/engine.rb:420:in `_to_tree'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/engine.rb:315:in `to_tree'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:184:in `tree'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:174:in `compute_dependencies'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:149:in `dependencies'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:125:in `dependencies_stale?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:166:in `block in dependency_updated?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:125:in `any?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:125:in `dependencies_stale?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:166:in `block in dependency_updated?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:81:in `stylesheet_modified_since?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/staleness_checker.rb:69:in `stylesheet_needs_update?'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/compiler.rb:211:in `block in update_stylesheets'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/compiler.rb:209:in `each'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/compiler.rb:209:in `update_stylesheets'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/compiler.rb:473:in `on_file_changed'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/lib/sass/plugin/compiler.rb:331:in `block in watch'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/vendor/listen/lib/listen/listener.rb:252:in `on_change'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/vendor/listen/lib/listen/listener.rb:290:in `block in initialize_adapter'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/vendor/listen/lib/listen/adapters/polling.rb:48:in `poll_changed_directories'
        C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sass-3.4.25/vendor/listen/lib/listen/adapter.rb:299:in `block in start_poller'

Gostaria da ajuda de vocês para continuar o curso.

3 respostas

Fala ai Lucas, tudo bem? Esse erro é um tanto quanto estranho, consegue compartilhar o projeto completo? Assim eu consigo simular o problema por aqui e analisá-lo com mais calma.

Pode compartilhar através do Github ou Google Drive (zipado).

Fico no aguardo.

Fala ai Lucas, aqui seu código funcionou de boas, apaguei os arquivos .css na pasta stylesheets e mandei o compass compilá-los:

compass compile

Os mesmos foram gerados sem erro nenhum.

Espero ter ajudado.